###

#

layout< ColorSpace, ChannelMapping > Struct Template Reference
Color, Color Space, and Layout » Models

Represents a color space and ordering of channels in memory. More...

`#include <utilities.hpp>`

## Public Types

using | color_space_t = ColorSpace
using | channel_mapping_t = ChannelMapping

## Detailed Description

template<typename ColorSpace, typename ChannelMapping = mp11::mp_iota < std::integral_constant<int, mp11::mp_size<ColorSpace>::value> >>
struct boost::gil::layout< ColorSpace, ChannelMapping >

Represents a color space and ordering of channels in memory.

The documentation for this struct was generated from the following file:

- utilities.hpp